Skip to main content
Update user

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Path Parameters

id
string
required

Body

application/vnd.composer.v3+json

User object contains information on application users

userOrigin
string
required
localeSettingsId
string
required
id
string
fullname
string
email
string
accountId
string
accounts
object[]
name
string
password
string
groupRoles
string[]
deprecated

(deprecated since 7.10, to be removed in 8.x)

forcePasswordChange
boolean
showQuickstart
boolean
external
boolean
deprecated

(deprecated since 7.10, to be removed in 8.x)

ldapDn
string
deprecated

(deprecated since 7.10, to be removed in 8.x)

languageLocaleId
string
timeZone
string
version
integer<int64>

Response

200 - application/vnd.composer.v3+json

OK

User object contains information on application users

userOrigin
string
required
localeSettingsId
string
required
createdByUserID
string
read-only
lastModifiedByUserID
string
read-only
createdDate
string<date-time>
read-only
lastModifiedDate
string<date-time>
read-only
id
string
fullname
string
email
string
accountId
string
accounts
object[]
name
string
password
string
groupRoles
string[]
deprecated

(deprecated since 7.10, to be removed in 8.x)

forcePasswordChange
boolean
showQuickstart
boolean
external
boolean
deprecated

(deprecated since 7.10, to be removed in 8.x)

ldapDn
string
deprecated

(deprecated since 7.10, to be removed in 8.x)

languageLocaleId
string
timeZone
string
deletable
boolean
deprecated
read-only

(deprecated since 7.10, to be removed in 8.x)

availableAttributeKeys
string[]
read-only
activeGroups
string[]
read-only
activeRoles
string[]
read-only
version
integer<int64>
userId
string
deprecated
read-only

(deprecated since 7.10, to be removed in 8.x) Use the 'id' field instead